heap_1.c File Reference
`#include <stdlib.h>`
`#include "FreeRTOS.h"`
`#include "task.h"`
Include dependency graph for heap_1.c:

## Macros

#define | MPU_WRAPPERS_INCLUDED_FROM_API_FILE
#define | configADJUSTED_HEAP_SIZE ( configTOTAL_HEAP_SIZE - portBYTE_ALIGNMENT )

## Functions

void * | pvPortMalloc (size_t xWantedSize)
void | vPortFree (void *pv)
void | vPortInitialiseBlocks (void)
size_t | xPortGetFreeHeapSize (void)

## Variables

static uint8_t | ucHeap [configTOTAL_HEAP_SIZE]
static size_t | xNextFreeByte = ( size_t ) 0

## Macro Definition Documentation

## configADJUSTED_HEAP_SIZE

#define configADJUSTED_HEAP_SIZE ( configTOTAL_HEAP_SIZE - portBYTE_ALIGNMENT )

## MPU_WRAPPERS_INCLUDED_FROM_API_FILE

#define MPU_WRAPPERS_INCLUDED_FROM_API_FILE

## Function Documentation

## pvPortMalloc()

void* pvPortMalloc | ( | size_t | xWantedSize | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## vPortFree()

void vPortFree | ( | void * | pv | ) |

Here is the caller graph for this function:

## vPortInitialiseBlocks()

void vPortInitialiseBlocks | ( | void |  | ) |

## xPortGetFreeHeapSize()

size_t xPortGetFreeHeapSize | ( | void |  | ) |

## Variable Documentation

## ucHeap

uint8_t ucHeap[configTOTAL_HEAP_SIZE]

static

## xNextFreeByte

size_t xNextFreeByte = ( size_t ) 0

static